//+------------------------------------------------------------------+ 
//|                                              TRADING_SIGNALS.mqh |
//+------------------------------------------------------------------+ 
//+------------------------------------------------------------------+ 
//| CALCULATING TRADING SIGNALS                                      |
//+------------------------------------------------------------------+ 
int GetTradingSignal(int Start,int Count)
  {
// Array for indicator values
   double bfr_ind[];
//---
// Get indicator values
   if(CopyBuffer(hdlSI,0,0,Count,bfr_ind)<Count)
     {
      Print("Failed to copy values ("+
            _Symbol+"; "+TFtoS(_Period)+") to the bfr_ind array! Error ("+
            IS(Error())+"): "+ErrorDesc(Error())+"");
      //---
      return(3);
     }
//---
// Set as time series
   if(!ArraySetAsSeries(bfr_ind,true))
     {
      Print("Failed to set as time series ("+
            _Symbol+"; "+TFtoS(_Period)+") bfr_ind ! Error ("+IS(Error())+")");
      //---
      return(3);
     }
//+------------------------------------------------------------------+ 
//| INITIALIZATION OF SIGNALS                                        |
//+------------------------------------------------------------------+ 
// A Sell signal:
// If the current indicator value on the completed bar
// is lower than the previous value, it is a signal to sell
   if(bfr_ind[1]<bfr_ind[2]) { return(0); }
//---
// A Buy signal:
// If the current indicator value on the completed bar
// is higher than the previous value, it is a signal to buy
   if(bfr_ind[1]>bfr_ind[2]) { return(1); }
//---
   return(3);
  }
//+------------------------------------------------------------------+ 
